Skip to navigation

Update Locale Settings

Updates global locale settings.

For stores with Catalyst channels, the shopper_language_selection_method field is deprecated. Using this endpoint on those stores will return a warning about the deprecation. For additional information, refer to Locale Configuration.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
default_shopper_languagestringRequiredDefaults to en
shopper_language_selection_methodenumOptionalDefaults to default_shopper_language

Determines whether to display the storefront content in the shopperʼs browser language or the shopperʼs selected default language.

Available values:

  • browser - language updates automatically based on the shopper browser language. Multiple languages are supported.
  • default_shopper_language - content is displayed in a single language based on the set default_shopper_language. Only the selected language is supported.
Allowed values:
store_countrystringOptionalDefaults to United States

Response

OK
dataobjectOptional
The basic locale settings for a store, used to give shopper information about languages, countries, etc.
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error